function [argderL] = argumentoderL(argG,k,num,den,integ,ti,td,wdesign,epsilon)
   delay = 0;
   z1 = polyval(num,1j*(wdesign-0.5*epsilon)) / polyval([den zeros(1,integ)],1j*(wdesign-0.5*epsilon));
   z2 = polyval(num,1j*(wdesign+0.5*epsilon)) / polyval([den zeros(1,integ)],1j*(wdesign+0.5*epsilon));
   Real1 = real(z1) * cos(delay*(wdesign-0.5*epsilon)) + imag(z1) * sin(delay*(wdesign-0.5*epsilon));
   Imagi1 = -real(z1) * sin(delay*(wdesign-0.5*epsilon)) + imag(z1) * cos(delay*(wdesign-0.5*epsilon));
   Real2 = real(z2) * cos(delay*(wdesign+0.5*epsilon)) + imag(z2) * sin(delay*(wdesign+0.5*epsilon));
   Imagi2 = -real(z2) * sin(delay*(wdesign+0.5*epsilon)) + imag(z2) * cos(delay*(wdesign+0.5*epsilon));
   modulo1 = sqrt(Real1*Real1+Imagi1*Imagi1);
   modulo2 = sqrt(Real2*Real2+Imagi2*Imagi2);
   arg1 = atan2(Imagi1,Real1);
   arg2 = atan2(Imagi2,Real2);
   logmodulo1 = log(modulo1);
   logmodulo2 = log(modulo2);
   sa = wdesign*((logmodulo2-logmodulo1)/epsilon);
   sp = wdesign*((arg2-arg1)/epsilon);
   argderL = argG+atan2(1-sa+ti*wdesign*sp,ti*wdesign*sa+sp);