function [aus, dtlny, t_hut, t_cut] = itererat2(dtlg,parameters)

rho_tube = parameters(1);
rho_metal = parameters(2); 
rho_shell = parameters(3); 
cp_tube = parameters(4);
cp_metal = parameters(5);
cp_shell = parameters(6);
fc = parameters(7);
fh = parameters(8);
k_tube_metal = parameters(10);
k_metal_shell = parameters(11);
t_cin = parameters(12);
t_hin = parameters(13);
A_tube_sec = parameters(14);
A_metal_sec = parameters(15);
V_tube_sec = parameters(16);
V_metal_sec = parameters(17);
V_shell_sec =parameters(18);
n =parameters(19);
de =parameters(20);

Wc = rho_shell*fc;
Wh = rho_tube*fh;

%t_cut = t_cin + (dtlg*k_metal_shell*A_metal_sec*n)/(Wc*cp_shell);
%t_hut = t_hin - (Wc*cp_shell*(t_cut-t_cin))/(Wh*cp_tube);

t_hut = t_hin - (dtlg * k_tube_metal * A_tube_sec*n)/(Wh*cp_tube);
t_cut = t_cin + (de * k_metal_shell * A_metal_sec*n)/(Wc*cp_shell);



a = t_hin-t_cut;
b = t_hut-t_cin;
if (a == b), a = a*1.000001; end

dtlny = (a-b)/log(a/b);

aus = dtlny-dtlg;
