model='tehrani_EJS.mdl';%EJS Model

ALFA = 0.0;				%shunt ratio en los pulmones
ALFA2=1.285;			%resistencia turbulenta del aire (cm H2O/l(BTPS)/s)
BETA = 17.4;			%constante del controlador de ventilacin
% GAMA = 8.55;			%elastancia del sistema respiratorio (cm H2O/l)
GAMA = 10;				%elastancia del sistema respiratorio (cm H2O/l)
%LANDA = 3.1;			%resistencia al airway en los pulmones (cm H2O/l/s)
LANDA = 2.6;			%resistencia al airway en los pulmones (cm H2O/l/s)
MU = 1.0;				%parmetro del controlador perifrico 
Q = 0.08333;			%caudal de sangre total (l/s)
PB = 760.0;				%presin baromtrica (mm Hg)
K = 4.0;					%diferencia en el oxgeno arterial-alveolar (mm Hg)
K1 = 346.0e3;			%constante del receptor central (s/lcm2)

K2 = 320;				%constante de tiempo de difusin de CO2 a travs de la barrera sangre-CSF (s)

% K2 = 320;				%constante de tiempo de difusin de CO2 a travs de la barrera sangre-CSF (s)

K3 = 0.016;				%constante de disociacin para el CO2 (/mm Hg)
K4 = 0.2;				%constante de disociacin para el O2
K5 = 0.046;				%constante de disociacin para el O2 (/mm Hg)
MRBCO2 = 0.0009;		%tasa metablica de produccin de CO2 en el cerebro (l/s)
MRBO2 = 0.000925;		%tasa metablica de consumo de O2 en el cerebro (l/s)
ST = 50;					%volumen de almacenamiento equivalente en los tejidos (l)
SB = 1.1;				%volumen de almacenamiento equivalente en el cerebro (l)
H = 10;					%retardo de transporte (segundos)
d = 0.015;				%profundidad del receptor central por debajo de la superficie de la mdula (cm)
VAREST =  0.0673;		%ventilacin alveolar en condiciones normales (descanso)
FRC=2.5;					%volumen inicial de los pulmones (l)
MRbasal=0.00445;		%suma de las tasas metablicas basales de O2(l/s)
Tau3=30;					%dinmica del metabolismo del ejercicio (s)
Tau4=50;					%impulso neural derivado del metabolismo (s)

% PIO2_inicial=159.73;

%VARIABLES CONTROLADAS POR EASY JAVA
MRCO2_change=0.00287; %EJS Variable InputOnly
PICO2_change=0;       %EJS Variable InputOnly
Elast=GAMA;           %EJS Variable InputOnly
Resist=LANDA;         %EJS Variable InputOnly
G_qp=1;% Ganancia quim periferico *0.2025 %EJS Variable InputOnly
G_qc=1;% Ganancia quim central *0.2332 %EJS Variable InputOnly
ALTITUD=0;            %EJS Variable InputOnly

flag_eq=1;               %EJS Variable InputOnly
save_sim=0;            %EJS Variable InputOnly


VT=0;                 %EJS Variable OutputOnly
FLOW=0;               %EJS Variable OutputOnly
Fresp=10;             %EJS Variable OutputOnly
PaO2=100.4;           %EJS Variable OutputOnly
PaCO2=40;             %EJS Variable OutputOnly
QT = 0.07083; 		  %caudal de sangre en los tejidos (l/s)%EJS Variable OutputOnly
QB = 0.0125;		  %caudal de sangre en el cerebro (l/s) %EJS Variable OutputOnly
vem=7;                %EJS Variable OutputOnly
VT_max=0.5;           %EJS Variable OutputOnly
pamco2=40;            %EJS Variable OutputOnly
pamo2=110;            %EJS Variable OutputOnly

PIO2_out=0;            %EJS Variable OutputOnly

time= 0;			  %EJS Variable 
dt= 0.1;			  %Ejs Parameter=maxstep InputOnly

warning('off');
